using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Receive
{
    public class GetCaseMaterialInfoDataRequest
    {
        [JsonPropertyName("params")]
        public GetCaseMaterialInfoRequest Params { get; set; }


    }

    /// <summary>
    /// 附件
    /// </summary>
    public class GetCaseMaterialInfoRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 附件信息
        /// </summary>
        public GetCaseMaterialInfoModel paras { get; set; }
    }

    /// <summary>
    /// 附件
    /// </summary>
    public class GetCaseMaterialInfoModel
    {
        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [MDisplayName("服务工单编号")]
        [VRequired]
        [JsonPropertyName("MATERIAL_SERIAL")]
        [VStringLength(0, 50)]
        [DisplayFormat(ConvertEmptyStringToNull = false)]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 材料类型  10：受理材料；	20： 环节材料	；30：结果材料；40：回访评价材料；50：督办材料；60：知识库材料；
        /// </summary>
        [MDisplayName("材料类型")]
        [VRequired]
        [JsonPropertyName("MATERIAL_TYPE")]
        [VStringLength(0, 50)]
        [DisplayFormat(ConvertEmptyStringToNull = false)]
        public string MaterialType { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [MDisplayName("材料标识")]
        [VRequired]
        [JsonPropertyName("CLIENG_GUID")]
        [VStringLength(0, 50)]
        [DisplayFormat(ConvertEmptyStringToNull = false)]
        public string CliengGuid { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [MDisplayName("行政区划代码")]
        [VRequired]
        [JsonPropertyName("AREA_CODE")]
        [VStringLength(0, 24)]
        [DisplayFormat(ConvertEmptyStringToNull = false)]
        public string AreaCode { get; set; }
    }
}
